php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #10170 configure breaks with fdf support in version 4.0.4pl1
Submitted: 2001-04-04 18:34 UTC Modified: 2001-04-04 21:29 UTC
From: jorge at reteguin dot com Assigned:
Status: Closed Package: Installation problem
PHP Version: 4.0.4pl1 OS: GNULinux RedHat 6.2
Private report: No CVE-ID: None
 [2001-04-04 18:34 UTC] jorge at reteguin dot com
When I try to compile PHP 4.0.4pl1 with fdf support, it breaks from the configure.

My configure line:

 ./configure --with-mysql=/usr/ --with-pgsql --with-apache=../apache_1.3.19 --enable-track-vars --with-imap --with-fdftk --with-gd



These are the last 4 lines of the result ...

checking for fdftk support... yes
checking for fdftk in default path... found in /usr/local
checking for FDFOpen in -lFdfTk... no
configure: error: fdftk module requires fdftk 2.0


I have compiled PHP with fdf support correctly with previous versions without any trouble. Now the common procedure doesn't work.

Thanks.

Jorge Retegu?n

I installed FDF as usual:

tar -zvxf fdftk4_05_C.tar.Z
cp fdftk4_05/lib/C/fdftk.h /usr/local/include/FdfTk.h
cp fdftk4_05/lib/C/Unix/i586-linux/GNU3.0/libFdfTk.so.3.0 /usr/local/lib/libFdfTk.so.3.0
cp -f fdftk4_05/lib/C/Unix/i586-linux/GNU3.0/libFdfTk.so.3.0 /usr/local/lib/libFdfTk.so.a

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-04-04 21:29 UTC] sniper@php.net
Fixed in CVS.

--Jani

 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Tue Jul 07 07:01:25 2020 UTC